OpenCV: NCVMemNativeAllocator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
NCVMemNativeAllocator Class Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

`#include "NCV.hpp"`

Inheritance diagram for NCVMemNativeAllocator:

## Public Member Functions
| NCVMemNativeAllocator (NCVMemoryType memT, Ncv32u alignment)
virtual | ~NCVMemNativeAllocator ()
virtual Ncv32u | alignment (void) const
virtual NCVStatus | alloc (NCVMemSegment &seg, size_t size)
virtual NCVStatus | dealloc (NCVMemSegment &seg)
virtual NcvBool | isCounting (void) const
virtual NcvBool | isInitialized (void) const
virtual size_t | maxSize (void) const
virtual NCVMemoryType | memType (void) const
Public Member Functions inherited from INCVMemAllocator
virtual | ~INCVMemAllocator ()=0

## Detailed Description

NCVMemNativeAllocator

## Constructor & Destructor Documentation

## ◆ NCVMemNativeAllocator()

NCVMemNativeAllocator::NCVMemNativeAllocator | ( | NCVMemoryType | memT,
|  | Ncv32u | alignment
| ) |  |

## ◆ ~NCVMemNativeAllocator()

virtual NCVMemNativeAllocator::~NCVMemNativeAllocator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ alignment()

virtual Ncv32u NCVMemNativeAllocator::alignment | ( | void |  | ) | const
| virtual

Implements INCVMemAllocator.

## ◆ alloc()

virtual NCVStatus NCVMemNativeAllocator::alloc | ( | NCVMemSegment & | seg,
|  | size_t | size
| ) |  |
| virtual

Implements INCVMemAllocator.

## ◆ dealloc()

virtual NCVStatus NCVMemNativeAllocator::dealloc | ( | NCVMemSegment & | seg | ) |
| virtual

Implements INCVMemAllocator.

## ◆ isCounting()

virtual NcvBool NCVMemNativeAllocator::isCounting | ( | void |  | ) | const
| virtual

Implements INCVMemAllocator.

## ◆ isInitialized()

virtual NcvBool NCVMemNativeAllocator::isInitialized | ( | void |  | ) | const
| virtual

Implements INCVMemAllocator.

## ◆ maxSize()

virtual size_t NCVMemNativeAllocator::maxSize | ( | void |  | ) | const
| virtual

Implements INCVMemAllocator.

## ◆ memType()

virtual NCVMemoryType NCVMemNativeAllocator::memType | ( | void |  | ) | const
| virtual

Implements INCVMemAllocator.

The documentation for this class was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy/NCV.hpp